Search topics by name (autocomplete)
curl --request GET \
--url https://api.aws53.cloud/v1/intent/topics/searchimport requests
url = "https://api.aws53.cloud/v1/intent/topics/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.aws53.cloud/v1/intent/topics/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"topicId": 123,
"topicName": "<string>",
"type": "<string>",
"industry": "<string>",
"category": "<string>"
}
]
}Topic discovery
Search topics by name (autocomplete)
GET
/
v1
/
intent
/
topics
/
search
Search topics by name (autocomplete)
Query Parameters
Required string length:
1 - 100Example:
"data platform"
Maximum string length:
100Example:
"Technology"
Available options:
b2b, b2c, both Required range:
1 <= x <= 50Response
200 - application/json
Matching topics
Show child attributes
Show child attributes
Was this page helpful?
⌘I